Calendar occurrences for vehicles within a date range.
Transportial OTMS API (0.9.74)
Welcome to the Transportial API. It's the full API access for the OTMS Transportatial application. Every feature that is available (and more) in the UI is available here. It's our mission to facilitate open, fast, enterprise grade architecture for transportation.
TransportEquipment are the items to be transported as part of a consignment. TransportEquipment can be divided into two sub-types of transportEquipment, depending on the use case and the level of detail. TransportEquipment either consists of items, describing the actual transportEquipment to be transported. Or a transport equipment, which is equipment used to carry the actual transportEquipment to be transported. Transport equipment is (usually) a means to an end, not something that needs to be transported on itself, such as pallets.
Goods are the items to be transported as part of a consignment. Goods can be divided into two sub-types of goods, depending on the use case and the level of detail. Goods either consists of items, describing the actual goods to be transported. Or a transport equipment, which is equipment used to carry the actual goods to be transported. Transport equipment is (usually) a means to an end, not something that needs to be transported on itself, such as pallets.
- Mock serverhttps://docs.transportial.com/_mock/apis/routing/calculate/route
- Test environmenthttps://test.api.otms.transportial.com/api/routing/calculate/route
- Productionhttps://api.otms.transportial.com/api/routing/calculate/route
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
https://docs.transportial.com/_mock/apis/routing/calculate/route \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"name": "string",
"locations": [
{
"nonce": "string",
"type": "warehouse",
"name": "string",
"unCode": "string",
"geoReference": {
"nonce": "string",
"type": "addressGeoReference",
"hash": "string",
"name": "string",
"street": "string",
"houseNumber": "string",
"houseNumberAddition": "string",
"postCode": "string",
"city": "string",
"country": "string"
},
"administrativeReference": {
"name": "string",
"street": "string",
"houseNumber": "string",
"houseNumberAddition": "string",
"postalCode": "string",
"city": "string",
"country": "string"
},
"contactDetails": [
{
"nonce": "string",
"type": "iban",
"value": "string",
"remarks": "string"
}
],
"contactPersons": [
{}
],
"openingTimes": {
"monday": {
"start": "string",
"end": "string",
"open": true,
"day": "2019-08-24",
"name": "string",
"description": "string"
},
"tuesday": {
"start": "string",
"end": "string",
"open": true,
"day": "2019-08-24",
"name": "string",
"description": "string"
},
"wednesday": {
"start": "string",
"end": "string",
"open": true,
"day": "2019-08-24",
"name": "string",
"description": "string"
},
"thursday": {
"start": "string",
"end": "string",
"open": true,
"day": "2019-08-24",
"name": "string",
"description": "string"
},
"friday": {
"start": "string",
"end": "string",
"open": true,
"day": "2019-08-24",
"name": "string",
"description": "string"
},
"saturday": {
"start": "string",
"end": "string",
"open": true,
"day": "2019-08-24",
"name": "string",
"description": "string"
},
"sunday": {
"start": "string",
"end": "string",
"open": true,
"day": "2019-08-24",
"name": "string",
"description": "string"
}
},
"terminal": {
"nonce": "string",
"name": "string",
"integrationType": "portbase",
"ean": "string",
"bicsCode": "string",
"quayName": "string",
"smdgCode": "string",
"locations": [
{}
],
"allowedModalities": [
"string"
],
"terminalSettings": [
{
"nonce": "string",
"loading": true,
"full": true,
"modality": "string",
"sealNumberAllowed": true,
"reeferAllowed": true,
"grossWeightAllowed": true,
"outOfGaugeAllowed": true,
"dangerousGoodsAllowed": true,
"cargoCutOffInMinutes": 0
}
],
"tarRequired": true,
"roadLicenseIdRequired": true
},
"pricingElements": [
{
"nonce": "string",
"sequenceNr": 0,
"quantity": 0,
"name": "string",
"description": "string",
"category": {
"nonce": "string",
"name": "string",
"creditCode": "string",
"debitCode": "string",
"defaultValue": 0.1,
"enabled": true,
"tripRevenue": true,
"identifiers": [
{}
]
},
"business": {},
"amount": {
"amount": 0.1,
"currency": {
"nonce": "string",
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"taxRate": {
"nonce": "string",
"creditCode": "string",
"debitCode": "string",
"identifiers": [
null
],
"name": "string",
"description": "string",
"jurisdiction": "string",
"percentage": 0.1,
"inclusive": true,
"active": true
},
"inclusiveOfTax": true
},
"subTotal": {
"amount": 0.1,
"currency": {
"nonce": "string",
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"taxRate": {
"nonce": "string",
"creditCode": "string",
"debitCode": "string",
"identifiers": [
null
],
"name": "string",
"description": "string",
"jurisdiction": "string",
"percentage": 0.1,
"inclusive": true,
"active": true
},
"inclusiveOfTax": true
},
"tax": {
"amount": 0.1,
"currency": {
"nonce": "string",
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"taxRate": {
"nonce": "string",
"creditCode": "string",
"debitCode": "string",
"identifiers": [
null
],
"name": "string",
"description": "string",
"jurisdiction": "string",
"percentage": 0.1,
"inclusive": true,
"active": true
},
"inclusiveOfTax": true
},
"total": {
"amount": 0.1,
"currency": {
"nonce": "string",
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"taxRate": {
"nonce": "string",
"creditCode": "string",
"debitCode": "string",
"identifiers": [
null
],
"name": "string",
"description": "string",
"jurisdiction": "string",
"percentage": 0.1,
"inclusive": true,
"active": true
},
"inclusiveOfTax": true
}
}
],
"hash": "string",
"identifiers": [
{
"nonce": "string",
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"externalAttributes": {
"property1": {},
"property2": {}
},
"attributes": [
{
"nonce": "string",
"name": "string",
"color": "string"
}
],
"requiresTimeslotBooking": true,
"loadingDocks": [
{
"nonce": "string",
"name": "string",
"dockNumber": "string",
"location": {},
"dockType": "LOADING",
"operational": true,
"description": "string",
"maxConcurrentOperations": 0,
"heightRestrictionCm": 0,
"widthRestrictionCm": 0,
"lengthRestrictionCm": 0,
"weightRestrictionKg": 0,
"requiresAppointment": true,
"displayOrder": 0
}
],
"dataIsComplete": true,
"actions": [
{}
],
"constraints": [
{
"nonce": "string",
"name": "string",
"enforceability": "enforced",
"type": "accessConstraint",
"description": "string"
}
],
"remark": "string"
}
],
"vehicles": [
{
"nonce": "string",
"versionNumber": 0,
"hasAgreedToPrice": true,
"business": {},
"pictures": [
{
"nonce": "string",
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{
"nonce": "string",
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"bucket": {
"nonce": "string",
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string"
}
],
"transportMode": "maritime",
"loadCapacities": [
{
"value": "string",
"unit": "string"
}
],
"loadLoadMeters": {
"value": "string",
"unit": "string"
},
"brand": {
"nonce": "string",
"logo": {
"nonce": "string",
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{
"nonce": "string",
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"bucket": {
"nonce": "string",
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string"
},
"identifiers": [
{
"nonce": "string",
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"name": "string",
"description": "string",
"business": {},
"url": "string"
},
"boardComputers": [
{
"nonce": "string",
"name": "string",
"type": "vehicle",
"active": true,
"boardComputerId": "string",
"inviteCode": "string",
"inviteUrl": "string",
"integration": {
"nonce": "string",
"type": "manual",
"name": "string",
"description": "string",
"schedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"dataSources": [
{
"parameters": [],
"allowedIps": [],
"fields": [],
"filters": []
}
],
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"filters": [
{
"filters": []
}
]
},
"vehicle": {},
"transportEquipment": {
"nonce": "string",
"type": "transportEquipment",
"name": "string",
"description": "string",
"remark": "string",
"barCode": "string",
"quantity": 0,
"weight": {
"value": "string",
"unit": "string"
},
"grossWeight": {
"value": "string",
"unit": "string"
},
"maxStackableWeight": {
"value": "string",
"unit": "string"
},
"width": {
"value": "string",
"unit": "string"
},
"height": {
"value": "string",
"unit": "string"
},
"length": {
"value": "string",
"unit": "string"
},
"loadMeters": {
"value": "string",
"unit": "string"
},
"documents": [
{
"identifiers": [],
"externalAttributes": {}
}
],
"actors": [
{
"user": {},
"identifiers": [],
"contactDetails": []
}
],
"actions": [
{}
],
"identifiers": [
{}
],
"loadWidth": {
"value": "string",
"unit": "string"
},
"loadHeight": {
"value": "string",
"unit": "string"
},
"loadLength": {
"value": "string",
"unit": "string"
},
"maxWeight": {
"value": "string",
"unit": "string"
},
"loadLoadMeters": {
"value": "string",
"unit": "string"
},
"equipmentType": "string",
"equipmentSubType": "string",
"licensePlate": "string",
"vin": "string",
"equipmentId": "string",
"seal": "string",
"requirementCodes": [
"string"
],
"adr": {
"UNNumber": "string",
"language": "string",
"description": "string",
"technicalName": "string",
"waste": true,
"environmentallyHazardous": true,
"class": "string",
"classificationCode": "string",
"packagingGroup": "string",
"dangerLabels": "string",
"dangerNUmber": "string",
"tunnelCode": "string"
},
"sensors": [
{}
],
"boardComputers": [
{}
],
"business": {},
"operational": true,
"internal": true,
"trip": {
"nonce": "string",
"versionNumber": 0,
"hasAgreedToPrice": true,
"type": "internal",
"tripNr": "string",
"remark": "string",
"status": "draft",
"planStatus": "ok",
"routeStatus": "on_route",
"currentAction": {},
"transportMode": "maritime",
"capacityContract": {
"business": {},
"administration": {},
"pricingModules": [],
"consignments": []
},
"vehicle": {},
"linkedTrip": true,
"chauffeurs": [
null
],
"transportEquipments": [
{}
],
"consignments": [
null
],
"contextEvents": [
{}
],
"documents": [
null
],
"actors": [
null
],
"actions": [
{}
],
"constraints": [
null
],
"identifiers": [
null
],
"businesses": [
{}
],
"teams": [
null
],
"pricingElements": [
null
],
"startDate": "2019-08-24T14:15:22Z",
"endDate": "2019-08-24T14:15:22Z",
"estimatedEndDate": "2019-08-24T14:15:22Z",
"kmStart": 0,
"kmEnd": 0,
"booking": {
"identifiers": []
},
"shareSettings": {},
"externalAttributes": {
"property1": {},
"property2": {}
},
"expectedCost": {
"moneyBuildBlocks": []
},
"expectedRevenue": {
"moneyBuildBlocks": []
},
"actualCost": {},
"quote": {
"administration": {},
"lines": [],
"subjectBusiness": {},
"targetBusiness": {},
"creator": {},
"invoices": [],
"identifiers": [],
"documents": []
},
"invoice": {
"administration": {},
"lines": [],
"subjectBusiness": {},
"targetBusiness": {},
"creator": {},
"transactions": [],
"identifiers": [],
"documents": []
},
"CO2eWTW": 0.1,
"CO2eTTW": 0.1,
"firstAction": {},
"nextAction": {},
"lastAction": {},
"estimatedDuration": 0,
"settings": {},
"name": "string",
"route": {
"expenses": [],
"additionalInfo": {},
"actors": [],
"actions": [],
"identifiers": [],
"constraints": []
},
"stackMap": {
"stackSnapshots": []
}
},
"capacityContract": {
"nonce": "string",
"name": "string",
"type": "permanentContract",
"communicationMethod": "messageAutomation",
"contract": {
"contractor": {},
"client": {}
},
"business": {},
"administration": {},
"startTime": "2019-08-24T14:15:22Z",
"endTime": "2019-08-24T14:15:22Z",
"selfBilling": true,
"currency": {},
"triggerType": "endOfWeek",
"pricingModules": [
null
],
"lastHandledSelfBilling": "2019-08-24T14:15:22Z",
"signature": {},
"integration": {
"dataSources": [],
"filters": []
},
"messageAutomation": {
"messageAutomationIntegration": {},
"notes": []
},
"consignments": [
null
],
"purchasedUnits": 0,
"capacity": {
"business": {},
"pricingModules": [],
"identifiers": []
}
},
"pricingModules": [
{
"taxRates": [],
"filters": []
}
],
"constraints": [
{}
],
"attributes": [
{}
],
"axles": [
{}
]
},
"chauffeur": {
"nonce": "string",
"type": "driver",
"picture": {
"nonce": "string",
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
null
],
"bucket": {},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string"
},
"user": {},
"firstName": "string",
"lastName": "string",
"dateOfBirth": "2019-08-24",
"birthPlace": "string",
"nationality": "string",
"hourlyRate": {
"amount": 0.1,
"currency": {},
"taxRate": {
"identifiers": []
},
"inclusiveOfTax": true
},
"hoursPerMonth": 0.1,
"preferredVehicle": {},
"capacityContract": {},
"adr": {
"hasADR": true,
"ADRNumber": "string",
"ADRValidFromDate": "2019-08-24",
"ADRExpirationDate": "2019-08-24",
"ADRFiles": [
null
]
},
"driverLicense": {
"hasDriverLicense": true,
"driverLicenseNumber": "string",
"driverLicenseValidFromDate": "2019-08-24",
"driverLicenseExpirationDate": "2019-08-24",
"driverLicenseObtainedOn": "2019-08-24",
"driverLicenseCountryOfIssue": "string",
"driverLicenseIssuingAuthority": "string",
"driverLicenseFiles": [
null
]
},
"tachoCard": {
"cardId": "string",
"countryOfIssue": "string",
"renewalIndex": "string",
"replacementIndex": "string",
"startOfValidity": "2019-08-24T14:15:22Z",
"endOfValidity": "2019-08-24T14:15:22Z"
},
"remainingRestingTimes": {
"workWeek": {},
"workWeekEndWithoutCompensation": "2019-08-24T14:15:22Z",
"nextMinimumWeeklyRestWithoutCompensation": 0,
"breakBelowMinimum": {},
"dailyRest": {},
"previousDailyRest": {}
},
"remainingDrivingTimes": {
"daysOfReducedRest": {},
"dailyAmplitude": {},
"drivingTimeBelowMaximum": {},
"dailyDrivingTime": {},
"daysOfDrivingLongerThan9h": {},
"weeklyDrivingTime": {},
"BIWeeklyDrivingTime": {},
"daysOfConsecutiveDriving": {}
},
"upcomingRestingTimes": {
"week": 0,
"year": 0,
"upcomingRestingTime": 0
},
"languages": [
"string"
],
"preferredLanguage": {
"nonce": "string",
"name": "string",
"localName": "string",
"code": "string",
"iso3166": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"dateFormat": "string",
"measurementUnit": "metric"
},
"notes": [
{}
],
"boardComputers": [
{}
],
"lastActivity": {
"nonce": "string",
"type": "work",
"lifeCycle": "requested",
"chauffeur": {},
"vehicle": {},
"transportEquipments": [
{}
],
"trip": {},
"name": "string",
"description": "string",
"remarks": "string",
"kmsStart": 0,
"kmsEnd": 0,
"start": "2019-08-24T14:15:22Z",
"end": "2019-08-24T14:15:22Z",
"isFromTacho": true
},
"pricingModules": [
{
"taxRates": [],
"filters": []
}
],
"operational": true,
"contactDetails": [
{}
]
},
"identifiers": [
{
"nonce": "string",
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
]
}
],
"notes": [
{}
],
"sensors": [
{
"nonce": "string",
"identifiers": [
{
"nonce": "string",
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"externalAttributes": {
"property1": {},
"property2": {}
},
"lastValueEvent": {
"sensor": {},
"value": {
"value": "string",
"unit": "string"
}
},
"name": "string",
"placement": "string",
"type": "temperature",
"constraints": [
{}
]
}
],
"fleets": [
{
"nonce": "string",
"fleet": {},
"order": 0,
"vehicle": {}
}
],
"trip": {
"nonce": "string",
"versionNumber": 0,
"hasAgreedToPrice": true,
"type": "internal",
"tripNr": "string",
"remark": "string",
"status": "draft",
"planStatus": "ok",
"routeStatus": "on_route",
"currentAction": {},
"transportMode": "maritime",
"capacityContract": {
"nonce": "string",
"name": "string",
"type": "permanentContract",
"communicationMethod": "messageAutomation",
"contract": {
"nonce": "string",
"title": "string",
"description": "string",
"deliveryTerms": "EXW",
"contractor": {},
"contractorSignee": {
"nonce": "string",
"firstName": "string",
"lastName": "string",
"position": "string",
"email": "string",
"phone": "string",
"mobilePhone": "string",
"business": {},
"location": {
"contactDetails": [],
"contactPersons": [],
"pricingElements": [],
"identifiers": [],
"externalAttributes": {},
"attributes": [],
"loadingDocks": [],
"actions": [],
"constraints": []
}
},
"client": {},
"clientSignee": {
"nonce": "string",
"firstName": "string",
"lastName": "string",
"position": "string",
"email": "string",
"phone": "string",
"mobilePhone": "string",
"business": {},
"location": {
"contactDetails": [],
"contactPersons": [],
"pricingElements": [],
"identifiers": [],
"externalAttributes": {},
"attributes": [],
"loadingDocks": [],
"actions": [],
"constraints": []
}
}
},
"business": {},
"administration": {},
"startTime": "2019-08-24T14:15:22Z",
"endTime": "2019-08-24T14:15:22Z",
"selfBilling": true,
"currency": {
"nonce": "string",
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"triggerType": "endOfWeek",
"pricingModules": [
{
"nonce": "string",
"type": "fixed",
"name": "string",
"sequenceNr": 0,
"description": "string",
"category": {
"identifiers": []
},
"taxRates": [
null
],
"filters": [
null
],
"oncePerInvoice": true
}
],
"lastHandledSelfBilling": "2019-08-24T14:15:22Z",
"signature": {
"nonce": "string",
"ip": "string",
"userAgent": "string",
"date": "2019-08-24T14:15:22Z",
"file": {
"nonce": "string",
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
null
],
"bucket": {},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string"
}
},
"integration": {
"nonce": "string",
"type": "manual",
"name": "string",
"description": "string",
"schedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"dataSources": [
{
"parameters": [],
"allowedIps": [],
"fields": [],
"filters": []
}
],
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"filters": [
{
"filters": []
}
]
},
"messageAutomation": {
"nonce": "string",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {},
"filters": [
null
],
"query": {
"fields": [],
"joins": [],
"filters": [],
"groupBy": [],
"sortFields": []
},
"recipients": [
null
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
null
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
null
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
null
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string",
"type": "messageAutomation",
"notes": [
{}
]
},
"consignments": [
{
"nonce": "string",
"versionNumber": 0,
"hasAgreedToPrice": true,
"orderType": "standard",
"name": "string",
"consignmentNr": "string",
"description": "string",
"status": "draft",
"highValueGoods": true,
"goods": [
null
],
"team": {
"emailIntegration": {},
"vehicleGroups": [],
"fleets": [],
"features": [],
"managers": [],
"users": []
},
"consignment": {},
"currentLocation": {},
"nextAction": {},
"lastAction": {},
"lastPlannedAction": {},
"isPlannedToLastLocation": true,
"documents": [
null
],
"actors": [
null
],
"actions": [
null
],
"pricingElements": [
null
],
"externalAttributes": {
"property1": {},
"property2": {}
},
"expectedRevenue": {
"moneyBuildBlocks": []
},
"expectedCost": {
"moneyBuildBlocks": []
},
"combined": true,
"type": "string",
"remark": "string",
"constraints": [
null
],
"identifiers": [
null
],
"attributes": [
null
]
}
],
"purchasedUnits": 0,
"capacity": {
"nonce": "string",
"name": "string",
"description": "string",
"business": {},
"schedule": {
"nonce": "string",
"name": "string",
"description": "string",
"weekDays": [
null
],
"startDate": "2019-08-24T14:15:22Z",
"endDate": "2019-08-24T14:15:22Z",
"timeSlotTemplates": [
null
],
"timeSlots": [
null
],
"identifiers": [
null
]
},
"modality": "maritime",
"subType": "load",
"capacityPerUnit": {
"value": "string",
"unit": "string"
},
"totalUnits": 0,
"availableCapacity": {
"value": "string",
"unit": "string"
},
"totalCapacity": {
"value": "string",
"unit": "string"
},
"pricingModules": [
{
"taxRates": [],
"filters": []
}
],
"identifiers": [
{}
]
}
},
"vehicle": {},
"linkedTrip": true,
"chauffeurs": [
{
"nonce": "string",
"type": "driver",
"picture": {
"nonce": "string",
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
null
],
"bucket": {},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string"
},
"user": {},
"firstName": "string",
"lastName": "string",
"dateOfBirth": "2019-08-24",
"birthPlace": "string",
"nationality": "string",
"hourlyRate": {
"amount": 0.1,
"currency": {},
"taxRate": {
"identifiers": []
},
"inclusiveOfTax": true
},
"hoursPerMonth": 0.1,
"preferredVehicle": {},
"capacityContract": {},
"adr": {
"hasADR": true,
"ADRNumber": "string",
"ADRValidFromDate": "2019-08-24",
"ADRExpirationDate": "2019-08-24",
"ADRFiles": [
null
]
},
"driverLicense": {
"hasDriverLicense": true,
"driverLicenseNumber": "string",
"driverLicenseValidFromDate": "2019-08-24",
"driverLicenseExpirationDate": "2019-08-24",
"driverLicenseObtainedOn": "2019-08-24",
"driverLicenseCountryOfIssue": "string",
"driverLicenseIssuingAuthority": "string",
"driverLicenseFiles": [
null
]
},
"tachoCard": {
"cardId": "string",
"countryOfIssue": "string",
"renewalIndex": "string",
"replacementIndex": "string",
"startOfValidity": "2019-08-24T14:15:22Z",
"endOfValidity": "2019-08-24T14:15:22Z"
},
"remainingRestingTimes": {
"workWeek": {},
"workWeekEndWithoutCompensation": "2019-08-24T14:15:22Z",
"nextMinimumWeeklyRestWithoutCompensation": 0,
"breakBelowMinimum": {},
"dailyRest": {},
"previousDailyRest": {}
},
"remainingDrivingTimes": {
"daysOfReducedRest": {},
"dailyAmplitude": {},
"drivingTimeBelowMaximum": {},
"dailyDrivingTime": {},
"daysOfDrivingLongerThan9h": {},
"weeklyDrivingTime": {},
"BIWeeklyDrivingTime": {},
"daysOfConsecutiveDriving": {}
},
"upcomingRestingTimes": {
"week": 0,
"year": 0,
"upcomingRestingTime": 0
},
"languages": [
"string"
],
"preferredLanguage": {
"nonce": "string",
"name": "string",
"localName": "string",
"code": "string",
"iso3166": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"dateFormat": "string",
"measurementUnit": "metric"
},
"notes": [
{}
],
"boardComputers": [
{}
],
"lastActivity": {
"nonce": "string",
"type": "work",
"lifeCycle": "requested",
"chauffeur": {},
"vehicle": {},
"transportEquipments": [
{}
],
"trip": {},
"name": "string",
"description": "string",
"remarks": "string",
"kmsStart": 0,
"kmsEnd": 0,
"start": "2019-08-24T14:15:22Z",
"end": "2019-08-24T14:15:22Z",
"isFromTacho": true
},
"pricingModules": [
{
"taxRates": [],
"filters": []
}
],
"operational": true,
"contactDetails": [
{}
]
}
],
"transportEquipments": [
{}
],
"consignments": [
{
"nonce": "string",
"versionNumber": 0,
"hasAgreedToPrice": true,
"orderType": "standard",
"name": "string",
"consignmentNr": "string",
"description": "string",
"status": "draft",
"highValueGoods": true,
"goods": [
{}
],
"team": {
"nonce": "string",
"emailIntegration": {},
"vehicleGroups": [
null
],
"fleets": [
null
],
"features": [
null
],
"managers": [
{}
],
"name": "string",
"transportOrderPrefix": "string",
"consignmentPrefix": "string",
"users": [
{}
]
},
"consignment": {},
"currentLocation": {
"administrativeReference": {},
"lat": 0.1,
"lon": 0.1,
"speed": {},
"heading": {},
"bearing": {},
"bearingType": "absolute"
},
"nextAction": {},
"lastAction": {},
"lastPlannedAction": {},
"isPlannedToLastLocation": true,
"documents": [
{}
],
"actors": [
{}
],
"actions": [
{}
],
"pricingElements": [
{
"business": {}
}
],
"externalAttributes": {
"property1": {},
"property2": {}
},
"expectedRevenue": {
"amount": 0.1,
"currency": {},
"taxRate": {
"identifiers": []
},
"inclusiveOfTax": true,
"moneyBuildBlocks": [
null
]
},
"expectedCost": {
"amount": 0.1,
"currency": {},
"taxRate": {
"identifiers": []
},
"inclusiveOfTax": true,
"moneyBuildBlocks": [
null
]
},
"combined": true,
"type": "string",
"remark": "string",
"constraints": [
{}
],
"identifiers": [
{}
],
"attributes": [
{}
]
}
],
"contextEvents": [
{}
],
"documents": [
{
"nonce": "string",
"description": "string",
"expiresAt": "2019-08-24T14:15:22Z",
"fileName": "string",
"mimeType": "string",
"encoding": "string",
"verified": true,
"isPublic": true,
"owner": {
"associationType": "inline"
},
"content": {
"contentType": "data",
"data": "string"
},
"file": {
"nonce": "string",
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
null
],
"bucket": {},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string"
},
"identifiers": [
{}
],
"externalAttributes": {
"property1": {},
"property2": {}
},
"name": "string"
}
],
"actors": [
{
"nonce": "string",
"name": "string",
"user": {},
"identifiers": [
{}
],
"contactDetails": [
{}
]
}
],
"actions": [
{}
],
"constraints": [
{
"nonce": "string",
"name": "string",
"enforceability": "enforced",
"type": "accessConstraint",
"description": "string"
}
],
"identifiers": [
{
"nonce": "string",
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"businesses": [
{}
],
"teams": [
{
"nonce": "string",
"emailIntegration": {},
"vehicleGroups": [
{
"vehicles": []
}
],
"fleets": [
{
"vehicles": [],
"teams": [],
"businesses": []
}
],
"features": [
{
"accountTypes": []
}
],
"managers": [
{}
],
"name": "string",
"transportOrderPrefix": "string",
"consignmentPrefix": "string",
"users": [
{}
]
}
],
"pricingElements": [
{
"nonce": "string",
"sequenceNr": 0,
"quantity": 0,
"name": "string",
"description": "string",
"category": {
"nonce": "string",
"name": "string",
"creditCode": "string",
"debitCode": "string",
"defaultValue": 0.1,
"enabled": true,
"tripRevenue": true,
"identifiers": [
null
]
},
"business": {},
"amount": {
"amount": 0.1,
"currency": {},
"taxRate": {
"identifiers": []
},
"inclusiveOfTax": true
},
"subTotal": {
"amount": 0.1,
"currency": {},
"taxRate": {
"identifiers": []
},
"inclusiveOfTax": true
},
"tax": {
"amount": 0.1,
"currency": {},
"taxRate": {
"identifiers": []
},
"inclusiveOfTax": true
},
"total": {
"amount": 0.1,
"currency": {},
"taxRate": {
"identifiers": []
},
"inclusiveOfTax": true
}
}
],
"startDate": "2019-08-24T14:15:22Z",
"endDate": "2019-08-24T14:15:22Z",
"estimatedEndDate": "2019-08-24T14:15:22Z",
"kmStart": 0,
"kmEnd": 0,
"booking": {
"nonce": "string",
"type": "maritime",
"capacitySubType": "load",
"name": "string",
"bookingNumber": "string",
"externalReference": "string",
"transportOrder": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"orderId": "string",
"name": "string",
"type": "standard",
"status": "declined",
"description": "string",
"referenceDescription": "string",
"customer": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"business": {},
"contactPerson": {
"language": {}
},
"location": {},
"customer": {}
},
"mailMessage": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"imap": {
"language": {}
},
"contentId": "string",
"messageNumber": 0,
"receivedDate": "2019-08-24T14:15:22Z",
"sentDate": "2019-08-24T14:15:22Z",
"read": true,
"starred": true,
"subject": "string",
"plainText": "string",
"text": "string",
"sender": {
"language": {}
},
"recipients": [
null
],
"attachments": [
null
],
"threadId": "string",
"parentMessageId": "string",
"linkedTransportOrderIds": [
null
],
"linkedConsignmentIds": [
null
]
},
"vat": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"creditCode": "string",
"debitCode": "string",
"description": "string",
"jurisdiction": "string",
"percentage": 0.1,
"inclusive": true,
"active": true,
"identifiers": [
null
]
},
"deliveryTerms": "EXW",
"externalAttributes": {
"property1": {},
"property2": {}
},
"team": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"transportOrderPrefix": "string",
"consignmentPrefix": "string",
"users": [
null
],
"vehicleGroups": [
null
],
"fleets": [
null
]
},
"documents": [
{}
],
"consignments": [
{}
],
"contactDetails": [
{}
],
"identifiers": [
{
"language": {}
}
],
"pricingElements": [
{
"business": {}
}
],
"invoices": [
{
"language": {},
"lines": [],
"subjectBusiness": {},
"targetBusiness": {},
"creator": {},
"transactions": [],
"identifiers": [],
"documents": []
}
],
"administration": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"platforms": [
{}
],
"name": "string",
"primary": true,
"transportOrderPrefix": "string",
"consignmentPrefix": "string",
"business": {},
"currency": {
"language": {}
},
"bankAccounts": [
null
],
"numberFormat": "string",
"numberLength": 0,
"dueDays": 0,
"invoiceNumberIndex": {},
"quoteNumberIndex": {},
"invoiceSendMessageAutomation": {
"language": {},
"messageAutomationIntegration": {}
},
"automaticallySendReminders": true,
"invoiceFirstReminderMessageAutomation": {
"language": {},
"messageAutomationIntegration": {}
},
"invoiceSecondReminderMessageAutomation": {
"language": {},
"messageAutomationIntegration": {}
},
"invoiceThirdReminderMessageAutomation": {
"language": {},
"messageAutomationIntegration": {}
},
"invoicePaidMessageAutomation": {
"language": {},
"messageAutomationIntegration": {}
},
"quoteSendMessageAutomation": {
"language": {},
"messageAutomationIntegration": {}
},
"invoiceTermsAndConditions": [
null
],
"quoteTermsAndConditions": [
null
],
"transportOrderTermsAndConditions": [
null
],
"identifiers": [
null
]
},
"shareSettings": {
"isOpen": true,
"shareCode": "string",
"validUntil": "2019-08-24T14:15:22Z",
"showTripTracking": true,
"showChauffeur": true,
"showVehicle": true,
"showDocuments": true,
"showCustomerDetails": true
},
"template": true,
"expectedRevenue": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"amount": 0.1,
"currency": {
"language": {}
},
"taxRate": {
"identifiers": []
},
"inclusiveOfTax": true,
"moneyBuildBlocks": [
null
]
},
"expectedCost": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"amount": 0.1,
"currency": {
"language": {}
},
"taxRate": {
"identifiers": []
},
"inclusiveOfTax": true,
"moneyBuildBlocks": [
null
]
},
"versionNumber": 0
},
"capacityContract": {
"nonce": "string",
"name": "string",
"type": "permanentContract",
"communicationMethod": "messageAutomation",
"contract": {
"nonce": "string",
"title": "string",
"description": "string",
"deliveryTerms": "EXW",
"contractor": {},
"contractorSignee": {
"business": {}
},
"client": {},
"clientSignee": {
"business": {}
}
},
"business": {},
"administration": {},
"startTime": "2019-08-24T14:15:22Z",
"endTime": "2019-08-24T14:15:22Z",
"selfBilling": true,
"currency": {
"nonce": "string",
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"triggerType": "endOfWeek",
"pricingModules": [
{
"taxRates": [],
"filters": []
}
],
"lastHandledSelfBilling": "2019-08-24T14:15:22Z",
"signature": {
"nonce": "string",
"ip": "string",
"userAgent": "string",
"date": "2019-08-24T14:15:22Z",
"file": {
"identifiers": []
}
},
"integration": {
"nonce": "string",
"type": "manual",
"name": "string",
"description": "string",
"schedule": {},
"dataSources": [
null
],
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"filters": [
null
]
},
"messageAutomation": {
"nonce": "string",
"name": "string",
"description": "string",
"automationConfig": {
"filters": [],
"recipients": [],
"manualIntegration": {},
"documentAttachments": [],
"localizedTexts": [],
"userPermissionFilters": []
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string",
"type": "messageAutomation",
"notes": [
{}
]
},
"consignments": [
{
"goods": [],
"consignment": {},
"nextAction": {},
"lastAction": {},
"lastPlannedAction": {},
"documents": [],
"actors": [],
"actions": [],
"pricingElements": [],
"externalAttributes": {},
"constraints": [],
"identifiers": [],
"attributes": []
}
],
"purchasedUnits": 0,
"capacity": {
"nonce": "string",
"name": "string",
"description": "string",
"business": {},
"schedule": {
"weekDays": [],
"timeSlotTemplates": [],
"timeSlots": [],
"identifiers": []
},
"modality": "maritime",
"subType": "load",
"capacityPerUnit": {},
"totalUnits": 0,
"availableCapacity": {},
"totalCapacity": {},
"pricingModules": [
null
],
"identifiers": [
null
]
}
},
"quote": {
"nonce": "string",
"hasAgreedToPrice": true,
"administration": {},
"status": "concept",
"direction": "in",
"currency": {
"nonce": "string",
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"declinedReason": "string",
"lines": [
{}
],
"subjectBusiness": {},
"targetBusiness": {},
"contactPerson": {
"nonce": "string",
"firstName": "string",
"lastName": "string",
"position": "string",
"email": "string",
"phone": "string",
"mobilePhone": "string",
"business": {},
"location": {
"contactDetails": [],
"contactPersons": [],
"pricingElements": [],
"identifiers": [],
"externalAttributes": {},
"attributes": [],
"loadingDocks": [],
"actions": [],
"constraints": []
}
},
"creator": {},
"subTotal": {
"amount": 0.1,
"currency": {},
"taxRate": {
"identifiers": []
},
"inclusiveOfTax": true
},
"tax": {
"amount": 0.1,
"currency": {},
"taxRate": {
"identifiers": []
},
"inclusiveOfTax": true
},
"total": {
"amount": 0.1,
"currency": {},
"taxRate": {
"identifiers": []
},
"inclusiveOfTax": true
},
"transportOrder": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"orderId": "string",
"name": "string",
"type": "standard",
"status": "declined",
"description": "string",
"referenceDescription": "string",
"customer": {
"language": {},
"business": {},
"location": {},
"customer": {}
},
"mailMessage": {
"language": {},
"recipients": [],
"attachments": [],
"linkedTransportOrderIds": [],
"linkedConsignmentIds": []
},
"vat": {
"language": {},
"identifiers": []
},
"deliveryTerms": "EXW",
"externalAttributes": {
"property1": {},
"property2": {}
},
"team": {
"language": {},
"users": [],
"vehicleGroups": [],
"fleets": []
},
"documents": [
null
],
"consignments": [
null
],
"contactDetails": [
null
],
"identifiers": [
null
],
"pricingElements": [
null
],
"invoices": [
null
],
"administration": {
"language": {},
"platforms": [],
"business": {},
"bankAccounts": [],
"invoiceNumberIndex": {},
"quoteNumberIndex": {},
"invoiceTermsAndConditions": [],
"quoteTermsAndConditions": [],
"transportOrderTermsAndConditions": [],
"identifiers": []
},
"shareSettings": {},
"template": true,
"expectedRevenue": {
"language": {},
"moneyBuildBlocks": []
},
"expectedCost": {
"language": {},
"moneyBuildBlocks": []
},
"versionNumber": 0
},
"invoices": [
{
"administration": {},
"lines": [],
"subjectBusiness": {},
"targetBusiness": {},
"creator": {},
"transactions": [],
"identifiers": [],
"documents": []
}
],
"identifiers": [
{}
],
"documents": [
{}
],
"shareSettings": {
"isOpen": true,
"shareCode": "string",
"validUntil": "2019-08-24T14:15:22Z"
},
"name": "string",
"description": "string",
"dueAt": "2019-08-24T14:15:22Z"
},
"invoice": {
"nonce": "string",
"hasAgreedToPrice": true,
"administration": {},
"year": 0,
"number": 0,
"reference": "string",
"paymentReference": "string",
"status": "concept",
"reminderCount": 0,
"direction": "in",
"currency": {
"nonce": "string",
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"lines": [
{}
],
"subjectBusiness": {},
"targetBusiness": {},
"contactPerson": {
"nonce": "string",
"firstName": "string",
"lastName": "string",
"position": "string",
"email": "string",
"phone": "string",
"mobilePhone": "string",
"business": {},
"location": {
"contactDetails": [],
"contactPersons": [],
"pricingElements": [],
"identifiers": [],
"externalAttributes": {},
"attributes": [],
"loadingDocks": [],
"actions": [],
"constraints": []
}
},
"creator": {},
"nextReminderDate": "2019-08-24T14:15:22Z",
"subTotal": {
"amount": 0.1,
"currency": {},
"taxRate": {
"identifiers": []
},
"inclusiveOfTax": true
},
"tax": {
"amount": 0.1,
"currency": {},
"taxRate": {
"identifiers": []
},
"inclusiveOfTax": true
},
"total": {
"amount": 0.1,
"currency": {},
"taxRate": {
"identifiers": []
},
"inclusiveOfTax": true
},
"totalOpen": {
"amount": 0.1,
"currency": {},
"taxRate": {
"identifiers": []
},
"inclusiveOfTax": true
},
"transactions": [
{
"administration": {},
"creator": {},
"fromUser": {},
"fromBusiness": {},
"toUser": {},
"toBusiness": {},
"parent": {},
"identifiers": []
}
],
"documents": [
{
"identifiers": [],
"externalAttributes": {}
}
],
"shareSettings": {
"isOpen": true,
"shareCode": "string",
"validUntil": "2019-08-24T14:15:22Z"
},
"billing": {
"nonce": "string",
"plan": {
"usageElementTypePrices": {},
"identifiers": []
},
"companyName": "string",
"vat": "string",
"email": "string",
"administrativeReference": {},
"customerId": "string",
"intentId": "string",
"lastBilled": "2019-08-24T14:15:22Z",
"lastUsageEventsRun": "2019-08-24T14:15:22Z",
"approvedBillingElementTypes": [
null
]
},
"name": "string",
"description": "string",
"date": "2019-08-24T14:15:22Z",
"dueAt": "2019-08-24T14:15:22Z"
},
"status": "draft",
"identifiers": [
{
"nonce": "string",
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"billOfLadingNumber": "string",
"billOfLading": {
"nonce": "string",
"description": "string",
"expiresAt": "2019-08-24T14:15:22Z",
"fileName": "string",
"mimeType": "string",
"encoding": "string",
"verified": true,
"isPublic": true,
"owner": {
"associationType": "inline"
},
"content": {
"contentType": "data",
"data": "string"
},
"file": {
"nonce": "string",
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
null
],
"bucket": {},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string"
},
"identifiers": [
{}
],
"externalAttributes": {
"property1": {},
"property2": {}
},
"name": "string"
}
},
"shareSettings": {
"isOpen": true,
"shareCode": "string",
"validUntil": "2019-08-24T14:15:22Z"
},
"externalAttributes": {
"property1": {},
"property2": {}
},
"expectedCost": {
"amount": 0.1,
"currency": {
"nonce": "string",
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"taxRate": {
"nonce": "string",
"creditCode": "string",
"debitCode": "string",
"identifiers": [
{}
],
"name": "string",
"description": "string",
"jurisdiction": "string",
"percentage": 0.1,
"inclusive": true,
"active": true
},
"inclusiveOfTax": true,
"moneyBuildBlocks": [
{
"amount": 0.1,
"relationship": {}
}
]
},
"expectedRevenue": {
"amount": 0.1,
"currency": {
"nonce": "string",
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"taxRate": {
"nonce": "string",
"creditCode": "string",
"debitCode": "string",
"identifiers": [
{}
],
"name": "string",
"description": "string",
"jurisdiction": "string",
"percentage": 0.1,
"inclusive": true,
"active": true
},
"inclusiveOfTax": true,
"moneyBuildBlocks": [
{
"amount": 0.1,
"relationship": {}
}
]
},
"actualCost": {
"amount": 0.1,
"currency": {
"nonce": "string",
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"taxRate": {
"nonce": "string",
"creditCode": "string",
"debitCode": "string",
"identifiers": [
{}
],
"name": "string",
"description": "string",
"jurisdiction": "string",
"percentage": 0.1,
"inclusive": true,
"active": true
},
"inclusiveOfTax": true
},
"quote": {
"nonce": "string",
"hasAgreedToPrice": true,
"administration": {},
"status": "concept",
"direction": "in",
"currency": {
"nonce": "string",
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"declinedReason": "string",
"lines": [
{
"nonce": "string",
"sequenceNr": 0,
"optional": true,
"quantity": 0.1,
"description": "string",
"startDateTime": "2019-08-24T14:15:22Z",
"endDateTime": "2019-08-24T14:15:22Z",
"value": {},
"subTotal": {},
"tax": {},
"total": {},
"pricingCategory": {
"identifiers": []
},
"entityId": "string",
"entityType": "action"
}
],
"subjectBusiness": {},
"targetBusiness": {},
"contactPerson": {
"nonce": "string",
"firstName": "string",
"lastName": "string",
"position": "string",
"email": "string",
"phone": "string",
"mobilePhone": "string",
"business": {},
"location": {
"nonce": "string",
"type": "warehouse",
"name": "string",
"unCode": "string",
"geoReference": {},
"administrativeReference": {},
"contactDetails": [
null
],
"contactPersons": [
{}
],
"openingTimes": {},
"terminal": {
"locations": [],
"allowedModalities": [],
"terminalSettings": []
},
"pricingElements": [
null
],
"hash": "string",
"identifiers": [
null
],
"externalAttributes": {
"property1": {},
"property2": {}
},
"attributes": [
null
],
"requiresTimeslotBooking": true,
"loadingDocks": [
null
],
"dataIsComplete": true,
"actions": [
{}
],
"constraints": [
null
],
"remark": "string"
}
},
"creator": {},
"subTotal": {
"amount": 0.1,
"currency": {
"nonce": "string",
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"taxRate": {
"nonce": "string",
"creditCode": "string",
"debitCode": "string",
"identifiers": [
null
],
"name": "string",
"description": "string",
"jurisdiction": "string",
"percentage": 0.1,
"inclusive": true,
"active": true
},
"inclusiveOfTax": true
},
"tax": {
"amount": 0.1,
"currency": {
"nonce": "string",
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"taxRate": {
"nonce": "string",
"creditCode": "string",
"debitCode": "string",
"identifiers": [
null
],
"name": "string",
"description": "string",
"jurisdiction": "string",
"percentage": 0.1,
"inclusive": true,
"active": true
},
"inclusiveOfTax": true
},
"total": {
"amount": 0.1,
"currency": {
"nonce": "string",
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"taxRate": {
"nonce": "string",
"creditCode": "string",
"debitCode": "string",
"identifiers": [
null
],
"name": "string",
"description": "string",
"jurisdiction": "string",
"percentage": 0.1,
"inclusive": true,
"active": true
},
"inclusiveOfTax": true
},
"transportOrder": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"orderId": "string",
"name": "string",
"type": "standard",
"status": "declined",
"description": "string",
"referenceDescription": "string",
"customer": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"business": {},
"contactPerson": {
"language": {}
},
"location": {},
"customer": {}
},
"mailMessage": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"imap": {
"language": {}
},
"contentId": "string",
"messageNumber": 0,
"receivedDate": "2019-08-24T14:15:22Z",
"sentDate": "2019-08-24T14:15:22Z",
"read": true,
"starred": true,
"subject": "string",
"plainText": "string",
"text": "string",
"sender": {
"language": {}
},
"recipients": [
null
],
"attachments": [
null
],
"threadId": "string",
"parentMessageId": "string",
"linkedTransportOrderIds": [
null
],
"linkedConsignmentIds": [
null
]
},
"vat": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"creditCode": "string",
"debitCode": "string",
"description": "string",
"jurisdiction": "string",
"percentage": 0.1,
"inclusive": true,
"active": true,
"identifiers": [
null
]
},
"deliveryTerms": "EXW",
"externalAttributes": {
"property1": {},
"property2": {}
},
"team": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"transportOrderPrefix": "string",
"consignmentPrefix": "string",
"users": [
null
],
"vehicleGroups": [
null
],
"fleets": [
null
]
},
"documents": [
{}
],
"consignments": [
{}
],
"contactDetails": [
{}
],
"identifiers": [
{
"language": {}
}
],
"pricingElements": [
{
"business": {}
}
],
"invoices": [
{
"language": {},
"lines": [],
"subjectBusiness": {},
"targetBusiness": {},
"creator": {},
"transactions": [],
"identifiers": [],
"documents": []
}
],
"administration": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"platforms": [
{}
],
"name": "string",
"primary": true,
"transportOrderPrefix": "string",
"consignmentPrefix": "string",
"business": {},
"currency": {
"language": {}
},
"bankAccounts": [
null
],
"numberFormat": "string",
"numberLength": 0,
"dueDays": 0,
"invoiceNumberIndex": {},
"quoteNumberIndex": {},
"invoiceSendMessageAutomation": {
"language": {},
"messageAutomationIntegration": {}
},
"automaticallySendReminders": true,
"invoiceFirstReminderMessageAutomation": {
"language": {},
"messageAutomationIntegration": {}
},
"invoiceSecondReminderMessageAutomation": {
"language": {},
"messageAutomationIntegration": {}
},
"invoiceThirdReminderMessageAutomation": {
"language": {},
"messageAutomationIntegration": {}
},
"invoicePaidMessageAutomation": {
"language": {},
"messageAutomationIntegration": {}
},
"quoteSendMessageAutomation": {
"language": {},
"messageAutomationIntegration": {}
},
"invoiceTermsAndConditions": [
null
],
"quoteTermsAndConditions": [
null
],
"transportOrderTermsAndConditions": [
null
],
"identifiers": [
null
]
},
"shareSettings": {
"isOpen": true,
"shareCode": "string",
"validUntil": "2019-08-24T14:15:22Z",
"showTripTracking": true,
"showChauffeur": true,
"showVehicle": true,
"showDocuments": true,
"showCustomerDetails": true
},
"template": true,
"expectedRevenue": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"amount": 0.1,
"currency": {
"language": {}
},
"taxRate": {
"identifiers": []
},
"inclusiveOfTax": true,
"moneyBuildBlocks": [
null
]
},
"expectedCost": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"amount": 0.1,
"currency": {
"language": {}
},
"taxRate": {
"identifiers": []
},
"inclusiveOfTax": true,
"moneyBuildBlocks": [
null
]
},
"versionNumber": 0
},
"invoices": [
{
"nonce": "string",
"hasAgreedToPrice": true,
"administration": {},
"year": 0,
"number": 0,
"reference": "string",
"paymentReference": "string",
"status": "concept",
"reminderCount": 0,
"direction": "in",
"currency": {},
"lines": [
null
],
"subjectBusiness": {},
"targetBusiness": {},
"contactPerson": {
"business": {}
},
"creator": {},
"nextReminderDate": "2019-08-24T14:15:22Z",
"subTotal": {},
"tax": {},
"total": {},
"totalOpen": {},
"transactions": [
null
],
"documents": [
null
],
"shareSettings": {},
"billing": {
"approvedBillingElementTypes": []
},
"name": "string",
"description": "string",
"date": "2019-08-24T14:15:22Z",
"dueAt": "2019-08-24T14:15:22Z"
}
],
"identifiers": [
{
"nonce": "string",
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"documents": [
{
"associationType": "inline",
"entity": {
"identifiers": [],
"externalAttributes": {}
}
}
],
"shareSettings": {
"isOpen": true,
"shareCode": "string",
"validUntil": "2019-08-24T14:15:22Z"
},
"name": "string",
"description": "string",
"dueAt": "2019-08-24T14:15:22Z"
},
"invoice": {
"nonce": "string",
"hasAgreedToPrice": true,
"administration": {},
"year": 0,
"number": 0,
"reference": "string",
"paymentReference": "string",
"status": "concept",
"reminderCount": 0,
"direction": "in",
"currency": {
"nonce": "string",
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"lines": [
{
"nonce": "string",
"sequenceNr": 0,
"quantity": 0.1,
"description": "string",
"startDateTime": "2019-08-24T14:15:22Z",
"endDateTime": "2019-08-24T14:15:22Z",
"value": {},
"subTotal": {},
"tax": {},
"total": {},
"entityId": "string",
"entityType": "action",
"quoteLine": {},
"pricingCategory": {
"identifiers": []
},
"distinctPerInvoiceId": "string"
}
],
"subjectBusiness": {},
"targetBusiness": {},
"contactPerson": {
"nonce": "string",
"firstName": "string",
"lastName": "string",
"position": "string",
"email": "string",
"phone": "string",
"mobilePhone": "string",
"business": {},
"location": {
"nonce": "string",
"type": "warehouse",
"name": "string",
"unCode": "string",
"geoReference": {},
"administrativeReference": {},
"contactDetails": [
null
],
"contactPersons": [
{}
],
"openingTimes": {},
"terminal": {
"locations": [],
"allowedModalities": [],
"terminalSettings": []
},
"pricingElements": [
null
],
"hash": "string",
"identifiers": [
null
],
"externalAttributes": {
"property1": {},
"property2": {}
},
"attributes": [
null
],
"requiresTimeslotBooking": true,
"loadingDocks": [
null
],
"dataIsComplete": true,
"actions": [
{}
],
"constraints": [
null
],
"remark": "string"
}
},
"creator": {},
"nextReminderDate": "2019-08-24T14:15:22Z",
"subTotal": {
"amount": 0.1,
"currency": {
"nonce": "string",
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"taxRate": {
"nonce": "string",
"creditCode": "string",
"debitCode": "string",
"identifiers": [
null
],
"name": "string",
"description": "string",
"jurisdiction": "string",
"percentage": 0.1,
"inclusive": true,
"active": true
},
"inclusiveOfTax": true
},
"tax": {
"amount": 0.1,
"currency": {
"nonce": "string",
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"taxRate": {
"nonce": "string",
"creditCode": "string",
"debitCode": "string",
"identifiers": [
null
],
"name": "string",
"description": "string",
"jurisdiction": "string",
"percentage": 0.1,
"inclusive": true,
"active": true
},
"inclusiveOfTax": true
},
"total": {
"amount": 0.1,
"currency": {
"nonce": "string",
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"taxRate": {
"nonce": "string",
"creditCode": "string",
"debitCode": "string",
"identifiers": [
null
],
"name": "string",
"description": "string",
"jurisdiction": "string",
"percentage": 0.1,
"inclusive": true,
"active": true
},
"inclusiveOfTax": true
},
"totalOpen": {
"amount": 0.1,
"currency": {
"nonce": "string",
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"taxRate": {
"nonce": "string",
"creditCode": "string",
"debitCode": "string",
"identifiers": [
null
],
"name": "string",
"description": "string",
"jurisdiction": "string",
"percentage": 0.1,
"inclusive": true,
"active": true
},
"inclusiveOfTax": true
},
"transactions": [
{
"nonce": "string",
"administration": {},
"name": "string",
"description": "string",
"status": "SUCCESS",
"transferredFrom": "string",
"transferredTo": "string",
"creator": {},
"fromUser": {},
"fromBusiness": {},
"toUser": {},
"toBusiness": {},
"amount": {},
"fee": {},
"net": {},
"parent": {},
"source": {},
"type": "INTERNAL",
"identifiers": [
null
]
}
],
"documents": [
{
"nonce": "string",
"description": "string",
"expiresAt": "2019-08-24T14:15:22Z",
"fileName": "string",
"mimeType": "string",
"encoding": "string",
"verified": true,
"isPublic": true,
"owner": {},
"content": {},
"file": {
"identifiers": []
},
"identifiers": [
null
],
"externalAttributes": {
"property1": {},
"property2": {}
},
"name": "string"
}
],
"shareSettings": {
"isOpen": true,
"shareCode": "string",
"validUntil": "2019-08-24T14:15:22Z"
},
"billing": {
"nonce": "string",
"plan": {
"nonce": "string",
"amount": {},
"usageElementTypePrices": {
"property1": [],
"property2": []
},
"identifiers": [
null
],
"primary": true,
"name": "string",
"description": "string",
"interval": "endOfWeek",
"intervalCount": 0,
"trialPeriodDays": 0,
"startedAt": "2019-08-24T14:15:22Z",
"expiredAt": "2019-08-24T14:15:22Z"
},
"companyName": "string",
"vat": "string",
"email": "string",
"administrativeReference": {
"name": "string",
"street": "string",
"houseNumber": "string",
"houseNumberAddition": "string",
"postalCode": "string",
"city": "string",
"country": "string"
},
"customerId": "string",
"intentId": "string",
"lastBilled": "2019-08-24T14:15:22Z",
"lastUsageEventsRun": "2019-08-24T14:15:22Z",
"approvedBillingElementTypes": [
"user"
]
},
"name": "string",
"description": "string",
"date": "2019-08-24T14:15:22Z",
"dueAt": "2019-08-24T14:15:22Z"
},
"CO2eWTW": 0.1,
"CO2eTTW": 0.1,
"firstAction": {},
"nextAction": {},
"lastAction": {},
"estimatedDuration": 0,
"settings": {
"minimumEstimatedDurationUntilNextStartDateTimeConstraint": true
},
"name": "string",
"route": {
"nonce": "string",
"time": 0,
"cost": 0,
"distance": 0,
"expenses": [
{
"nonce": "string",
"sequenceNr": 0,
"quantity": 0,
"name": "string",
"description": "string",
"category": {
"identifiers": []
},
"business": {},
"amount": {},
"subTotal": {},
"tax": {},
"total": {}
}
],
"additionalInfo": {
"property1": {},
"property2": {}
},
"lineString": "string",
"actors": [
{
"nonce": "string",
"name": "string",
"user": {},
"identifiers": [
null
],
"contactDetails": [
null
]
}
],
"actions": [
{}
],
"identifiers": [
{
"nonce": "string",
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"name": "string",
"constraints": [
{}
]
},
"stackMap": {
"nonce": "string",
"name": "string",
"stackSnapshots": [
{
"nonce": "string",
"stopAction": {},
"availableCapacitors": [
null
],
"stackedOccupants": [
null
],
"unstackedOccupants": [
null
],
"capacitorsStackPlan": [
null
]
}
]
}
},
"chauffeurs": [
{
"nonce": "string",
"type": "driver",
"picture": {
"nonce": "string",
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{}
],
"bucket": {
"nonce": "string",
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string"
},
"user": {},
"firstName": "string",
"lastName": "string",
"dateOfBirth": "2019-08-24",
"birthPlace": "string",
"nationality": "string",
"hourlyRate": {
"amount": 0.1,
"currency": {
"nonce": "string",
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"taxRate": {
"nonce": "string",
"creditCode": "string",
"debitCode": "string",
"identifiers": [
null
],
"name": "string",
"description": "string",
"jurisdiction": "string",
"percentage": 0.1,
"inclusive": true,
"active": true
},
"inclusiveOfTax": true
},
"hoursPerMonth": 0.1,
"preferredVehicle": {},
"capacityContract": {},
"adr": {
"hasADR": true,
"ADRNumber": "string",
"ADRValidFromDate": "2019-08-24",
"ADRExpirationDate": "2019-08-24",
"ADRFiles": [
{
"identifiers": []
}
]
},
"driverLicense": {
"hasDriverLicense": true,
"driverLicenseNumber": "string",
"driverLicenseValidFromDate": "2019-08-24",
"driverLicenseExpirationDate": "2019-08-24",
"driverLicenseObtainedOn": "2019-08-24",
"driverLicenseCountryOfIssue": "string",
"driverLicenseIssuingAuthority": "string",
"driverLicenseFiles": [
{
"identifiers": []
}
]
},
"tachoCard": {
"cardId": "string",
"countryOfIssue": "string",
"renewalIndex": "string",
"replacementIndex": "string",
"startOfValidity": "2019-08-24T14:15:22Z",
"endOfValidity": "2019-08-24T14:15:22Z"
},
"remainingRestingTimes": {
"workWeek": {
"total": 0,
"maximum": 0,
"minimum": 0,
"remaining": 0
},
"workWeekEndWithoutCompensation": "2019-08-24T14:15:22Z",
"nextMinimumWeeklyRestWithoutCompensation": 0,
"breakBelowMinimum": {
"total": 0,
"maximum": 0,
"minimum": 0,
"remaining": 0
},
"dailyRest": {
"total": 0,
"maximum": 0,
"minimum": 0,
"remaining": 0
},
"previousDailyRest": {
"total": 0,
"maximum": 0,
"minimum": 0,
"remaining": 0
}
},
"remainingDrivingTimes": {
"daysOfReducedRest": {
"total": 0,
"maximum": 0,
"minimum": 0,
"remaining": 0
},
"dailyAmplitude": {
"total": 0,
"maximum": 0,
"minimum": 0,
"remaining": 0
},
"drivingTimeBelowMaximum": {
"total": 0,
"maximum": 0,
"minimum": 0,
"remaining": 0
},
"dailyDrivingTime": {
"total": 0,
"maximum": 0,
"minimum": 0,
"remaining": 0
},
"daysOfDrivingLongerThan9h": {
"total": 0,
"maximum": 0,
"minimum": 0,
"remaining": 0
},
"weeklyDrivingTime": {
"total": 0,
"maximum": 0,
"minimum": 0,
"remaining": 0
},
"BIWeeklyDrivingTime": {
"total": 0,
"maximum": 0,
"minimum": 0,
"remaining": 0
},
"daysOfConsecutiveDriving": {
"total": 0,
"maximum": 0,
"minimum": 0,
"remaining": 0
}
},
"upcomingRestingTimes": {
"week": 0,
"year": 0,
"upcomingRestingTime": 0
},
"languages": [
"string"
],
"preferredLanguage": {
"nonce": "string",
"name": "string",
"localName": "string",
"code": "string",
"iso3166": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"dateFormat": "string",
"measurementUnit": "metric"
},
"notes": [
{}
],
"boardComputers": [
{}
],
"lastActivity": {
"nonce": "string",
"type": "work",
"lifeCycle": "requested",
"chauffeur": {},
"vehicle": {},
"transportEquipments": [
{}
],
"trip": {},
"name": "string",
"description": "string",
"remarks": "string",
"kmsStart": 0,
"kmsEnd": 0,
"start": "2019-08-24T14:15:22Z",
"end": "2019-08-24T14:15:22Z",
"isFromTacho": true
},
"pricingModules": [
{
"nonce": "string",
"type": "fixed",
"name": "string",
"sequenceNr": 0,
"description": "string",
"category": {
"identifiers": []
},
"taxRates": [
null
],
"filters": [
null
],
"oncePerInvoice": true
}
],
"operational": true,
"contactDetails": [
{
"associationType": "inline"
}
]
}
],
"transportEquipments": [
{
"nonce": "string",
"type": "transportEquipment",
"name": "string",
"description": "string",
"remark": "string",
"barCode": "string",
"quantity": 0,
"weight": {
"value": "string",
"unit": "string"
},
"grossWeight": {
"value": "string",
"unit": "string"
},
"maxStackableWeight": {
"value": "string",
"unit": "string"
},
"width": {
"value": "string",
"unit": "string"
},
"height": {
"value": "string",
"unit": "string"
},
"length": {
"value": "string",
"unit": "string"
},
"loadMeters": {
"value": "string",
"unit": "string"
},
"documents": [
{
"nonce": "string",
"description": "string",
"expiresAt": "2019-08-24T14:15:22Z",
"fileName": "string",
"mimeType": "string",
"encoding": "string",
"verified": true,
"isPublic": true,
"owner": {},
"content": {},
"file": {
"identifiers": []
},
"identifiers": [
null
],
"externalAttributes": {
"property1": {},
"property2": {}
},
"name": "string"
}
],
"actors": [
{
"nonce": "string",
"name": "string",
"user": {},
"identifiers": [
null
],
"contactDetails": [
null
]
}
],
"actions": [
{}
],
"identifiers": [
{
"nonce": "string",
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"loadWidth": {
"value": "string",
"unit": "string"
},
"loadHeight": {
"value": "string",
"unit": "string"
},
"loadLength": {
"value": "string",
"unit": "string"
},
"maxWeight": {
"value": "string",
"unit": "string"
},
"loadLoadMeters": {
"value": "string",
"unit": "string"
},
"equipmentType": "string",
"equipmentSubType": "string",
"licensePlate": "string",
"vin": "string",
"equipmentId": "string",
"seal": "string",
"requirementCodes": [
"string"
],
"adr": {
"UNNumber": "string",
"language": "string",
"description": "string",
"technicalName": "string",
"waste": true,
"environmentallyHazardous": true,
"class": "string",
"classificationCode": "string",
"packagingGroup": "string",
"dangerLabels": "string",
"dangerNUmber": "string",
"tunnelCode": "string"
},
"sensors": [
{
"associationType": "inline"
}
],
"boardComputers": [
{}
],
"business": {},
"operational": true,
"internal": true,
"trip": {
"nonce": "string",
"versionNumber": 0,
"hasAgreedToPrice": true,
"type": "internal",
"tripNr": "string",
"remark": "string",
"status": "draft",
"planStatus": "ok",
"routeStatus": "on_route",
"currentAction": {},
"transportMode": "maritime",
"capacityContract": {
"nonce": "string",
"name": "string",
"type": "permanentContract",
"communicationMethod": "messageAutomation",
"contract": {
"contractor": {},
"client": {}
},
"business": {},
"administration": {},
"startTime": "2019-08-24T14:15:22Z",
"endTime": "2019-08-24T14:15:22Z",
"selfBilling": true,
"currency": {},
"triggerType": "endOfWeek",
"pricingModules": [
null
],
"lastHandledSelfBilling": "2019-08-24T14:15:22Z",
"signature": {},
"integration": {
"dataSources": [],
"filters": []
},
"messageAutomation": {
"messageAutomationIntegration": {},
"notes": []
},
"consignments": [
null
],
"purchasedUnits": 0,
"capacity": {
"business": {},
"pricingModules": [],
"identifiers": []
}
},
"vehicle": {},
"linkedTrip": true,
"chauffeurs": [
{
"user": {},
"preferredVehicle": {},
"capacityContract": {},
"languages": [],
"notes": [],
"boardComputers": [],
"pricingModules": [],
"contactDetails": []
}
],
"transportEquipments": [
{}
],
"consignments": [
{
"goods": [],
"consignment": {},
"nextAction": {},
"lastAction": {},
"lastPlannedAction": {},
"documents": [],
"actors": [],
"actions": [],
"pricingElements": [],
"externalAttributes": {},
"constraints": [],
"identifiers": [],
"attributes": []
}
],
"contextEvents": [
{}
],
"documents": [
{
"identifiers": [],
"externalAttributes": {}
}
],
"actors": [
{
"user": {},
"identifiers": [],
"contactDetails": []
}
],
"actions": [
{}
],
"constraints": [
{}
],
"identifiers": [
{}
],
"businesses": [
{}
],
"teams": [
{
"emailIntegration": {},
"vehicleGroups": [],
"fleets": [],
"features": [],
"managers": [],
"users": []
}
],
"pricingElements": [
{
"business": {}
}
],
"startDate": "2019-08-24T14:15:22Z",
"endDate": "2019-08-24T14:15:22Z",
"estimatedEndDate": "2019-08-24T14:15:22Z",
"kmStart": 0,
"kmEnd": 0,
"booking": {
"nonce": "string",
"type": "maritime",
"capacitySubType": "load",
"name": "string",
"bookingNumber": "string",
"externalReference": "string",
"transportOrder": {
"language": {},
"externalAttributes": {},
"documents": [],
"consignments": [],
"contactDetails": [],
"identifiers": [],
"pricingElements": [],
"invoices": []
},
"capacityContract": {
"business": {},
"administration": {},
"pricingModules": [],
"consignments": []
},
"quote": {
"administration": {},
"lines": [],
"subjectBusiness": {},
"targetBusiness": {},
"creator": {},
"invoices": [],
"identifiers": [],
"documents": []
},
"invoice": {
"administration": {},
"lines": [],
"subjectBusiness": {},
"targetBusiness": {},
"creator": {},
"transactions": [],
"identifiers": [],
"documents": []
},
"status": "draft",
"identifiers": [
null
],
"billOfLadingNumber": "string",
"billOfLading": {
"identifiers": [],
"externalAttributes": {}
}
},
"shareSettings": {
"isOpen": true,
"shareCode": "string",
"validUntil": "2019-08-24T14:15:22Z"
},
"externalAttributes": {
"property1": {},
"property2": {}
},
"expectedCost": {
"amount": 0.1,
"currency": {},
"taxRate": {
"identifiers": []
},
"inclusiveOfTax": true,
"moneyBuildBlocks": [
null
]
},
"expectedRevenue": {
"amount": 0.1,
"currency": {},
"taxRate": {
"identifiers": []
},
"inclusiveOfTax": true,
"moneyBuildBlocks": [
null
]
},
"actualCost": {
"amount": 0.1,
"currency": {},
"taxRate": {
"identifiers": []
},
"inclusiveOfTax": true
},
"quote": {
"nonce": "string",
"hasAgreedToPrice": true,
"administration": {},
"status": "concept",
"direction": "in",
"currency": {},
"declinedReason": "string",
"lines": [
null
],
"subjectBusiness": {},
"targetBusiness": {},
"contactPerson": {
"business": {}
},
"creator": {},
"subTotal": {},
"tax": {},
"total": {},
"transportOrder": {
"language": {},
"externalAttributes": {},
"documents": [],
"consignments": [],
"contactDetails": [],
"identifiers": [],
"pricingElements": [],
"invoices": []
},
"invoices": [
null
],
"identifiers": [
null
],
"documents": [
null
],
"shareSettings": {},
"name": "string",
"description": "string",
"dueAt": "2019-08-24T14:15:22Z"
},
"invoice": {
"nonce": "string",
"hasAgreedToPrice": true,
"administration": {},
"year": 0,
"number": 0,
"reference": "string",
"paymentReference": "string",
"status": "concept",
"reminderCount": 0,
"direction": "in",
"currency": {},
"lines": [
null
],
"subjectBusiness": {},
"targetBusiness": {},
"contactPerson": {
"business": {}
},
"creator": {},
"nextReminderDate": "2019-08-24T14:15:22Z",
"subTotal": {},
"tax": {},
"total": {},
"totalOpen": {},
"transactions": [
null
],
"documents": [
null
],
"shareSettings": {},
"billing": {
"approvedBillingElementTypes": []
},
"name": "string",
"description": "string",
"date": "2019-08-24T14:15:22Z",
"dueAt": "2019-08-24T14:15:22Z"
},
"CO2eWTW": 0.1,
"CO2eTTW": 0.1,
"firstAction": {},
"nextAction": {},
"lastAction": {},
"estimatedDuration": 0,
"settings": {
"minimumEstimatedDurationUntilNextStartDateTimeConstraint": true
},
"name": "string",
"route": {
"nonce": "string",
"time": 0,
"cost": 0,
"distance": 0,
"expenses": [
null
],
"additionalInfo": {
"property1": {},
"property2": {}
},
"lineString": "string",
"actors": [
null
],
"actions": [
{}
],
"identifiers": [
null
],
"name": "string",
"constraints": [
{}
]
},
"stackMap": {
"nonce": "string",
"name": "string",
"stackSnapshots": [
null
]
}
},
"capacityContract": {
"nonce": "string",
"name": "string",
"type": "permanentContract",
"communicationMethod": "messageAutomation",
"contract": {
"nonce": "string",
"title": "string",
"description": "string",
"deliveryTerms": "EXW",
"contractor": {},
"contractorSignee": {
"business": {}
},
"client": {},
"clientSignee": {
"business": {}
}
},
"business": {},
"administration": {},
"startTime": "2019-08-24T14:15:22Z",
"endTime": "2019-08-24T14:15:22Z",
"selfBilling": true,
"currency": {
"nonce": "string",
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"triggerType": "endOfWeek",
"pricingModules": [
{
"taxRates": [],
"filters": []
}
],
"lastHandledSelfBilling": "2019-08-24T14:15:22Z",
"signature": {
"nonce": "string",
"ip": "string",
"userAgent": "string",
"date": "2019-08-24T14:15:22Z",
"file": {
"identifiers": []
}
},
"integration": {
"nonce": "string",
"type": "manual",
"name": "string",
"description": "string",
"schedule": {},
"dataSources": [
null
],
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"filters": [
null
]
},
"messageAutomation": {
"nonce": "string",
"name": "string",
"description": "string",
"automationConfig": {
"filters": [],
"recipients": [],
"manualIntegration": {},
"documentAttachments": [],
"localizedTexts": [],
"userPermissionFilters": []
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string",
"type": "messageAutomation",
"notes": [
{}
]
},
"consignments": [
{
"goods": [],
"consignment": {},
"nextAction": {},
"lastAction": {},
"lastPlannedAction": {},
"documents": [],
"actors": [],
"actions": [],
"pricingElements": [],
"externalAttributes": {},
"constraints": [],
"identifiers": [],
"attributes": []
}
],
"purchasedUnits": 0,
"capacity": {
"nonce": "string",
"name": "string",
"description": "string",
"business": {},
"schedule": {
"weekDays": [],
"timeSlotTemplates": [],
"timeSlots": [],
"identifiers": []
},
"modality": "maritime",
"subType": "load",
"capacityPerUnit": {},
"totalUnits": 0,
"availableCapacity": {},
"totalCapacity": {},
"pricingModules": [
null
],
"identifiers": [
null
]
}
},
"pricingModules": [
{
"nonce": "string",
"type": "fixed",
"name": "string",
"sequenceNr": 0,
"description": "string",
"category": {
"identifiers": []
},
"taxRates": [
null
],
"filters": [
null
],
"oncePerInvoice": true
}
],
"constraints": [
{
"nonce": "string",
"name": "string",
"enforceability": "enforced",
"type": "accessConstraint",
"description": "string"
}
],
"attributes": [
{
"nonce": "string",
"name": "string",
"color": "string"
}
],
"axles": [
{
"driveAxle": true,
"liftAxle": true,
"sequenceNr": 0,
"legalAllowedLoad": {},
"technicalAllowedLoad": {}
}
]
}
],
"actors": [
{
"associationType": "inline"
}
],
"identifiers": [
{
"nonce": "string",
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"cameras": [
{
"nonce": "string",
"vehicle": {},
"type": "telenormicCamera",
"url": "string",
"playbackUrl": "string",
"playbackUrlWs": "string",
"downTaskUrl": "string",
"downUrl": "string",
"clientIp": "string",
"clientIp2": "string",
"clientIp3": "string",
"clientPort": 0,
"begin": 0,
"end": 0,
"length": 0
}
],
"legalStatistics": {
"lastInstantOfAVehicleOwnerLocation": "2019-08-24T14:15:22Z",
"countryCabotageStatistics": {
"property1": {
"completedCabotageTrips": 0,
"lastInstantOfCompletedCabotageTrip": "2019-08-24T14:15:22Z",
"lastInstantOfInternationalTripWithCountryAsDestination": "2019-08-24T14:15:22Z"
},
"property2": {
"completedCabotageTrips": 0,
"lastInstantOfCompletedCabotageTrip": "2019-08-24T14:15:22Z",
"lastInstantOfInternationalTripWithCountryAsDestination": "2019-08-24T14:15:22Z"
}
},
"lastInstantOfInternationalTrip": "2019-08-24T14:15:22Z",
"lastInternationalTripDestinationCountry": "string"
},
"capacityContract": {
"nonce": "string",
"name": "string",
"type": "permanentContract",
"communicationMethod": "messageAutomation",
"contract": {
"nonce": "string",
"title": "string",
"description": "string",
"deliveryTerms": "EXW",
"contractor": {},
"contractorSignee": {
"nonce": "string",
"firstName": "string",
"lastName": "string",
"position": "string",
"email": "string",
"phone": "string",
"mobilePhone": "string",
"business": {},
"location": {
"nonce": "string",
"type": "warehouse",
"name": "string",
"unCode": "string",
"geoReference": {},
"administrativeReference": {},
"contactDetails": [
null
],
"contactPersons": [
{}
],
"openingTimes": {},
"terminal": {
"locations": [],
"allowedModalities": [],
"terminalSettings": []
},
"pricingElements": [
null
],
"hash": "string",
"identifiers": [
null
],
"externalAttributes": {
"property1": {},
"property2": {}
},
"attributes": [
null
],
"requiresTimeslotBooking": true,
"loadingDocks": [
null
],
"dataIsComplete": true,
"actions": [
{}
],
"constraints": [
null
],
"remark": "string"
}
},
"client": {},
"clientSignee": {
"nonce": "string",
"firstName": "string",
"lastName": "string",
"position": "string",
"email": "string",
"phone": "string",
"mobilePhone": "string",
"business": {},
"location": {
"nonce": "string",
"type": "warehouse",
"name": "string",
"unCode": "string",
"geoReference": {},
"administrativeReference": {},
"contactDetails": [
null
],
"contactPersons": [
{}
],
"openingTimes": {},
"terminal": {
"locations": [],
"allowedModalities": [],
"terminalSettings": []
},
"pricingElements": [
null
],
"hash": "string",
"identifiers": [
null
],
"externalAttributes": {
"property1": {},
"property2": {}
},
"attributes": [
null
],
"requiresTimeslotBooking": true,
"loadingDocks": [
null
],
"dataIsComplete": true,
"actions": [
{}
],
"constraints": [
null
],
"remark": "string"
}
}
},
"business": {},
"administration": {},
"startTime": "2019-08-24T14:15:22Z",
"endTime": "2019-08-24T14:15:22Z",
"selfBilling": true,
"currency": {
"nonce": "string",
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"triggerType": "endOfWeek",
"pricingModules": [
{
"nonce": "string",
"type": "fixed",
"name": "string",
"sequenceNr": 0,
"description": "string",
"category": {
"nonce": "string",
"name": "string",
"creditCode": "string",
"debitCode": "string",
"defaultValue": 0.1,
"enabled": true,
"tripRevenue": true,
"identifiers": [
null
]
},
"taxRates": [
{
"filters": []
}
],
"filters": [
{
"filters": []
}
],
"oncePerInvoice": true
}
],
"lastHandledSelfBilling": "2019-08-24T14:15:22Z",
"signature": {
"nonce": "string",
"ip": "string",
"userAgent": "string",
"date": "2019-08-24T14:15:22Z",
"file": {
"nonce": "string",
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{}
],
"bucket": {
"nonce": "string",
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string"
}
},
"integration": {
"nonce": "string",
"type": "manual",
"name": "string",
"description": "string",
"schedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"dataSources": [
{
"nonce": "string",
"directionType": "in",
"connectionType": "api",
"requestMethod": "get",
"dataType": "xml",
"entityType": "action",
"url": "string",
"port": 0,
"path": "string",
"token": "string",
"query": "string",
"parameters": [
null
],
"allowedIps": [
null
],
"hasAuthentication": true,
"credentials": {
"externalAttributes": {},
"headers": {}
},
"otm": true,
"fields": [
null
],
"filters": [
null
],
"template": true
}
],
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"filters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
{}
],
"sequenceNr": 0,
"valueSelector": "string"
}
]
},
"messageAutomation": {
"nonce": "string",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"filters": [
{
"filters": []
}
],
"query": {
"nonce": "string",
"fields": [
null
],
"entityType": "action",
"joins": [
null
],
"filters": [
null
],
"groupBy": [
null
],
"having": {},
"sortFields": [
null
],
"sortDirection": "asc",
"limit": 0,
"offset": 0
},
"recipients": [
"string"
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
{
"reportParameters": {}
}
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
{}
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
{
"filters": []
}
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string",
"type": "messageAutomation",
"notes": [
{}
]
},
"consignments": [
{
"nonce": "string",
"versionNumber": 0,
"hasAgreedToPrice": true,
"orderType": "standard",
"name": "string",
"consignmentNr": "string",
"description": "string",
"status": "draft",
"highValueGoods": true,
"goods": [
{}
],
"team": {
"nonce": "string",
"emailIntegration": {},
"vehicleGroups": [
null
],
"fleets": [
null
],
"features": [
null
],
"managers": [
{}
],
"name": "string",
"transportOrderPrefix": "string",
"consignmentPrefix": "string",
"users": [
{}
]
},
"consignment": {},
"currentLocation": {
"administrativeReference": {},
"lat": 0.1,
"lon": 0.1,
"speed": {},
"heading": {},
"bearing": {},
"bearingType": "absolute"
},
"nextAction": {},
"lastAction": {},
"lastPlannedAction": {},
"isPlannedToLastLocation": true,
"documents": [
{}
],
"actors": [
{}
],
"actions": [
{}
],
"pricingElements": [
{
"business": {}
}
],
"externalAttributes": {
"property1": {},
"property2": {}
},
"expectedRevenue": {
"amount": 0.1,
"currency": {},
"taxRate": {
"identifiers": []
},
"inclusiveOfTax": true,
"moneyBuildBlocks": [
null
]
},
"expectedCost": {
"amount": 0.1,
"currency": {},
"taxRate": {
"identifiers": []
},
"inclusiveOfTax": true,
"moneyBuildBlocks": [
null
]
},
"combined": true,
"type": "string",
"remark": "string",
"constraints": [
{}
],
"identifiers": [
{}
],
"attributes": [
{}
]
}
],
"purchasedUnits": 0,
"capacity": {
"nonce": "string",
"name": "string",
"description": "string",
"business": {},
"schedule": {
"nonce": "string",
"name": "string",
"description": "string",
"weekDays": [
"sunday"
],
"startDate": "2019-08-24T14:15:22Z",
"endDate": "2019-08-24T14:15:22Z",
"timeSlotTemplates": [
{
"pricingModules": []
}
],
"timeSlots": [
{
"consignments": []
}
],
"identifiers": [
{}
]
},
"modality": "maritime",
"subType": "load",
"capacityPerUnit": {
"value": "string",
"unit": "string"
},
"totalUnits": 0,
"availableCapacity": {
"value": "string",
"unit": "string"
},
"totalCapacity": {
"value": "string",
"unit": "string"
},
"pricingModules": [
{
"nonce": "string",
"type": "fixed",
"name": "string",
"sequenceNr": 0,
"description": "string",
"category": {
"identifiers": []
},
"taxRates": [
null
],
"filters": [
null
],
"oncePerInvoice": true
}
],
"identifiers": [
{
"nonce": "string",
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
]
}
},
"pricingModules": [
{
"nonce": "string",
"type": "fixed",
"name": "string",
"sequenceNr": 0,
"description": "string",
"category": {
"nonce": "string",
"name": "string",
"creditCode": "string",
"debitCode": "string",
"defaultValue": 0.1,
"enabled": true,
"tripRevenue": true,
"identifiers": [
{}
]
},
"taxRates": [
{
"nonce": "string",
"sequenceNr": 0,
"name": "string",
"description": "string",
"taxRate": {
"identifiers": []
},
"filters": [
null
]
}
],
"filters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
null
],
"sequenceNr": 0,
"valueSelector": "string"
}
],
"oncePerInvoice": true
}
],
"name": "string",
"description": "string",
"vin": "string",
"licensePlate": "string",
"vehicleType": "string",
"emissionStandard": "euro0",
"fuelCapacity": {
"value": "string",
"unit": "string"
},
"fuelType": "string",
"maxLinks": 0,
"length": {
"value": "string",
"unit": "string"
},
"height": {
"value": "string",
"unit": "string"
},
"width": {
"value": "string",
"unit": "string"
},
"loadLength": {
"value": "string",
"unit": "string"
},
"loadHeight": {
"value": "string",
"unit": "string"
},
"loadWidth": {
"value": "string",
"unit": "string"
},
"maxWeight": {
"value": "string",
"unit": "string"
},
"emptyWeight": {
"value": "string",
"unit": "string"
},
"axles": [
{
"driveAxle": true,
"liftAxle": true,
"sequenceNr": 0,
"legalAllowedLoad": {
"value": "string",
"unit": "string"
},
"technicalAllowedLoad": {
"value": "string",
"unit": "string"
}
}
],
"operational": true,
"attributes": [
{
"nonce": "string",
"name": "string",
"color": "string"
}
]
}
],
"constraints": [
{
"nonce": "string",
"name": "string",
"enforceability": "enforced",
"type": "accessConstraint",
"description": "string"
}
],
"startDateTime": "2019-08-24T14:15:22Z"
}'{ "success": true, "message": "string", "code": 0, "route": { "id": "string", "nonce": "string", "uuid": "string", "primaryPlatformId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "language": {}, "name": "string", "time": 0, "cost": 0, "distance": 0, "expenses": [ … ], "additionalInfo": { … }, "lineString": "string", "actors": [ … ], "actions": [ … ], "constraints": [ … ], "identifiers": [ … ] } }
Events - like actions - model dynamic entities that couple various static entities at a certain moment in time. Events are used for either real-time updates, or updates on earlier provided data. Notice that in both event types these are updates on earlier provided data, whereas actions are usually used together with the entities they dynamically couple.